from django import template
from django.utils.safestring import mark_safe
from django.urls import reverse_lazy
from django.template.defaultfilters import pluralize


from agenda_culturel.models import DuplicatedEvents

from .utils_extra import picto_from_name

register = template.Library()


@register.simple_tag
def show_badge_duplicated(placement="top"):
    duplicated = DuplicatedEvents.objects.all()

    nb_duplicated = 0
    for d in duplicated:
        if d.nb_duplicated() >= 1:
            nb_duplicated += 1
        else:
            d.delete()

    if nb_duplicated != 0:
        return mark_safe(
            '<a href="'
            + reverse_lazy("duplicates")
            + '" class="badge" data-placement="'
            + placement
            + '" data-tooltip="'
            + str(nb_duplicated)
            + " dupliqué"
            + pluralize(nb_duplicated)
            + ' à valider">'
            + picto_from_name("copy")
            + " "
            + str(nb_duplicated)
            + "</a>"
        )
    else:
        return ""
