from django import template
from django.utils.safestring import mark_safe
from django.urls import reverse_lazy

register = template.Library()


@register.filter
def tag_button(tag, link=False, strike=False):
    strike_class = " strike" if strike else ""
    if link:
        return mark_safe(
            '<a href="'
            + reverse_lazy("view_tag", {"tag": tag})
            + '" role="button" class="small-cat'
            + strike_class
            + '">'
            + tag
            + "</a>"
        )
    else:
        return mark_safe(
            '<span role="button" class="small-cat'
            + strike_class
            + '">'
            + tag
            + "</span>"
        )


@register.filter
def tag_button_strike(tag, link=False):
    return tag_button(tag, link, strike=True)
